<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/homeFragment">

    <!-- 首页 -->
    <fragment
        android:id="@+id/homeFragment"
        android:name="com.example.myapplication.ui.home.HomeFragment"
        android:label="Home"
        tools:layout="@layout/fragment_home" />

    <!-- 商城 -->
    <fragment
        android:id="@+id/shopFragment"
        android:name="com.example.myapplication.ui.shop.ShopFragment"
        android:label="Shop"
        tools:layout="@layout/fragment_shop">
        <action
            android:id="@+id/action_shopfragment_to_myskin"
            app:destination="@id/MySkin"
            app:enterAnim="@anim/fade_in"
            app:exitAnim="@anim/fade_out"
            app:popEnterAnim="@anim/fade_in_fast"
            app:popExitAnim="@anim/fade_out_fast"/>

        <action
            android:id="@+id/action_shopfragment_to_searchfragment"
            app:destination="@id/searchFragment"
            app:enterAnim="@anim/fade_in"
            app:exitAnim="@anim/fade_out"
            app:popEnterAnim="@anim/fade_in_fast"
            app:popExitAnim="@anim/fade_out_fast"/>
        </fragment>

    <!-- 圈子 -->
    <fragment
        android:id="@+id/circleFragment"
        android:name="com.example.myapplication.ui.circle.CircleFragment"
        android:label="Circle"
        tools:layout="@layout/fragment_circle" />

    <!-- 我的 -->
    <fragment
        android:id="@+id/mineFragment"
        android:name="com.example.myapplication.ui.mine.MineFragment"
        android:label="Mine"
        tools:layout="@layout/fragment_mine">
        <action
            android:id="@+id/action_mineFragment_to_personalSettings"
            app:destination="@id/PersonalSettings"
            app:enterAnim="@anim/fade_in"
            app:exitAnim="@anim/fade_out"
            app:popEnterAnim="@anim/fade_in_fast"
            app:popExitAnim="@anim/fade_out_fast"/>    
            
        <action
            android:id="@+id/action_mineFragment_to_mykeyboard"
            app:destination="@id/MyKeyboard"
            app:enterAnim="@anim/fade_in"
            app:exitAnim="@anim/fade_out"
            app:popEnterAnim="@anim/fade_in_fast"
            app:popExitAnim="@anim/fade_out_fast"/>

        <action
            android:id="@+id/action_mineFragment_to_feedbackFragment"
            app:destination="@id/feedbackFragment"
            app:enterAnim="@anim/fade_in"
            app:exitAnim="@anim/fade_out"
            app:popEnterAnim="@anim/fade_in_fast"
            app:popExitAnim="@anim/fade_out_fast"/>

        <action
            android:id="@+id/action_mineFragment_to_notificationFragment"
            app:destination="@id/notificationFragment"
            app:enterAnim="@anim/fade_in"
            app:exitAnim="@anim/fade_out"
            app:popEnterAnim="@anim/fade_in_fast"
            app:popExitAnim="@anim/fade_out_fast"/>
    </fragment>

    <!-- 充值 -->
    <fragment
        android:id="@+id/rechargeFragment"
        android:name="com.example.myapplication.ui.recharge.RechargeFragment"
        android:label="Recharge"
        tools:layout="@layout/activity_recharge" />

    <!-- 金币充值 -->
    <fragment
        android:id="@+id/goldCoinRechargeFragment"
        android:name="com.example.myapplication.ui.recharge.GoldCoinRechargeFragment"
        android:label="Gold Coin Recharge"
        tools:layout="@layout/gold_coin_recharge" />

    <!-- 充值全局跳转 -->
    <action
        android:id="@+id/action_global_rechargeFragment"
        app:destination="@id/rechargeFragment" 
        app:enterAnim="@anim/fade_in"
        app:exitAnim="@anim/fade_out"
        app:popEnterAnim="@anim/fade_in_fast"
        app:popExitAnim="@anim/fade_out_fast"/>

    <!-- 金币充值全局跳转 -->
    <action
        android:id="@+id/action_global_goldCoinRechargeFragment"
        app:destination="@id/goldCoinRechargeFragment" 
        app:enterAnim="@anim/fade_in"
        app:exitAnim="@anim/fade_out"
        app:popEnterAnim="@anim/fade_in_fast"
        app:popExitAnim="@anim/fade_out_fast"/>

    <!-- 个人设置 -->
    <fragment
        android:id="@+id/PersonalSettings"
        android:name="com.example.myapplication.ui.mine.myotherpages.PersonalSettings"
        android:label="Setting"
        tools:layout="@layout/personal_settings"/>

    <!-- 我的键盘 -->
    <fragment
        android:id="@+id/MyKeyboard"
        android:name="com.example.myapplication.ui.keyboard.MyKeyboard"
        android:label="Keyboard"
        tools:layout="@layout/my_keyboard" />

    <!-- 键盘详情 -->
    <fragment
        android:id="@+id/keyboardDetailFragment"
        android:name="com.example.myapplication.ui.keyboard.KeyboardDetailFragment"
        android:label="Keyboard Detail"
        tools:layout="@layout/keyboard_detail" />

    <!-- 键盘详情全局跳转 -->
    <action
        android:id="@+id/action_global_keyboardDetailFragment"
        app:destination="@id/keyboardDetailFragment" 
        app:enterAnim="@anim/fade_in"
        app:exitAnim="@anim/fade_out"
        app:popEnterAnim="@anim/fade_in_fast"
        app:popExitAnim="@anim/fade_out_fast"/>

    <!-- 我的皮肤 -->
    <fragment
        android:id="@+id/MySkin"
        android:name="com.example.myapplication.ui.shop.myskin.MySkin"
        android:label="My Skin"
        tools:layout="@layout/my_skin" />

    <!-- 搜索 -->
    <fragment
        android:id="@+id/searchFragment"
        android:name="com.example.myapplication.ui.shop.search.SearchFragment"
        android:label="Search"
        tools:layout="@layout/fragment_search">
        <action
            android:id="@+id/action_searchFragment_to_searchResultFragment"
            app:destination="@id/searchResultFragment"
            app:enterAnim="@anim/fade_in"
            app:exitAnim="@anim/fade_out"
            app:popEnterAnim="@anim/fade_in_fast"
            app:popExitAnim="@anim/fade_out_fast"/>
    </fragment>

    <!-- 搜索结果 -->
    <fragment
        android:id="@+id/searchResultFragment"
        android:name="com.example.myapplication.ui.shop.search.SearchResultFragment"
        android:label="Search Result"
        tools:layout="@layout/fragment_search_result" />

    <!-- 反馈 -->
    <fragment
        android:id="@+id/feedbackFragment"
        android:name="com.example.myapplication.ui.mine.myotherpages.FeedbackFragment"
        android:label="Feedback"
        tools:layout="@layout/feedback_fragment" />

    <!-- 通知 -->
    <fragment
        android:id="@+id/notificationFragment"
        android:name="com.example.myapplication.ui.mine.myotherpages.NotificationFragment"
        android:label="Notification"
        tools:layout="@layout/notification_fragment" />
        
</navigation>
